Bug 859705 - [abrt] libreoffice-core-3.5.6.2-2.fc17: BasicIDEShell::FindBasWin (SIGSEGV) (OOoGdmath?)
[abrt] libreoffice-core-3.5.6.2-2.fc17: BasicIDEShell::FindBasWin (SIGSEGV) (...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:009a01cbf68e839352d87131089...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 07:22 EDT by Ed
Modified: 2012-12-19 10:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 10:42:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (11.48 KB, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: environ (2.20 KB, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: backtrace (66.68 KB, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: cgroup (126 bytes, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: maps (110.44 KB, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: dso_list (24.25 KB, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: open_fds (647 bytes, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
File: var_log_messages (350 bytes, text/plain)
2012-09-23 07:22 EDT, Ed
no flags Details
modifed-to-install OOoGdmath.oxt (327.01 KB, application/vnd.openofficeorg.extension)
2012-10-02 04:23 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Ed 2012-09-23 07:22:24 EDT
Description of problem:
Attempting to drop an object in the cambas in openoffice draw

Version-Release number of selected component:
libreoffice-core-3.5.6.2-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --draw --splash-pipe=6
crash_function: GetObject
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 GetObject at /usr/src/debug/libreoffice-3.5.6.2/tools/inc/impcont.hxx
: #1 Container::First at /usr/src/debug/libreoffice-3.5.6.2/tools/source/memtools/contnr.cxx
: #2 Table::First at /usr/src/debug/libreoffice-3.5.6.2/tools/source/memtools/table.cxx
: #3 First at /usr/src/debug/libreoffice-3.5.6.2/basctl/source/inc/basidesh.hxx
: #4 BasicIDEShell::FindBasWin at /usr/src/debug/libreoffice-3.5.6.2/basctl/source/basicide/basides2.cxx
: #5 ContainerListenerImpl::elementInserted at /usr/src/debug/libreoffice-3.5.6.2/basctl/source/basicide/basidesh.cxx
: #6 operator() at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/cppuhelper/interfacecontainer.h
: #7 cppu::OInterfaceContainerHelper::forEach<com::sun::star::container::XContainerListener, cppu::OInterfaceContainerHelper::NotifySingleListener<com::sun::star::container::XContainerListener, com::sun::star::container::ContainerEvent> > at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/cppuhelper/interfacecontainer.h
: #8 cppu::OInterfaceContainerHelper::notifyEach<com::sun::star::container::XContainerListener, com::sun::star::container::ContainerEvent> at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/cppuhelper/interfacecontainer.h
: #9 basic::NameContainer::insertByName at /usr/src/debug/libreoffice-3.5.6.2/basic/source/uno/namecont.cxx
Comment 1 Ed 2012-09-23 07:22:27 EDT
Created attachment 616083 [details]
File: core_backtrace
Comment 2 Ed 2012-09-23 07:22:28 EDT
Created attachment 616084 [details]
File: environ
Comment 3 Ed 2012-09-23 07:22:30 EDT
Created attachment 616085 [details]
File: limits
Comment 4 Ed 2012-09-23 07:22:34 EDT
Created attachment 616086 [details]
File: backtrace
Comment 5 Ed 2012-09-23 07:22:35 EDT
Created attachment 616087 [details]
File: cgroup
Comment 6 Ed 2012-09-23 07:22:42 EDT
Created attachment 616088 [details]
File: maps
Comment 7 Ed 2012-09-23 07:22:44 EDT
Created attachment 616089 [details]
File: dso_list
Comment 8 Ed 2012-09-23 07:22:46 EDT
Created attachment 616090 [details]
File: open_fds
Comment 9 Ed 2012-09-23 07:22:47 EDT
Created attachment 616091 [details]
File: var_log_messages
Comment 10 Caolan McNamara 2012-10-02 04:04:45 EDT
The crash here appears to be triggered by a macro from the "Gdmath_Dyn" module. Do you have http://dmaths.frodev.org/OOoGdmath/index.htm installed ?
Comment 11 Caolan McNamara 2012-10-02 04:23:29 EDT
Created attachment 620181 [details]
modifed-to-install OOoGdmath.oxt

I downloaded http://macrooo.free.fr/upload/OOoGdmath/2009_12_06/OOoGdmath.oxt fixed it up to install correctly (as attached here) but dragging and dropping stuff from that version into draw doesn't crash for me

Was there a specific version of this that you have installed ? i.e. can you attach the output of
unopkg list && unopkg list --shared && unopkg list --bundled

And is there a specific button that triggers the crash when used ?

Note You need to log in before you can comment on or make changes to this bug.